#include <ESP8266WiFi.h>
#include <espnow.h>

#define BUTTON_PIN D7  // GPIO13

uint8_t receiverMac[] = {0xF4, 0xCF, 0xA2, 0x75, 0x35, 0x66}; // Replace with your receiver's MAC
bool lastButtonState = HIGH;

void setup() {
  Serial.begin(115200);
  pinMode(BUTTON_PIN, INPUT_PULLUP);

  WiFi.mode(WIFI_STA);
  if (esp_now_init() != 0) {
    Serial.println("ESP-NOW init failed!");
    return;
  }

  esp_now_set_self_role(ESP_NOW_ROLE_CONTROLLER);
  esp_now_add_peer(receiverMac, ESP_NOW_ROLE_SLAVE, 1, NULL, 0);
}

void loop() {
  bool currentState = digitalRead(BUTTON_PIN);
  if (currentState != lastButtonState) {
    lastButtonState = currentState;
    uint8_t msg = (currentState == LOW) ? 1 : 0;  // LOW when pressed (due to INPUT_PULLUP)
    esp_now_send(receiverMac, &msg, sizeof(msg));
  }
  delay(10);
}
